'use strict';

const Base = require('./base');

class Bot extends Base {
    /**
     * List bots
     *
     * @method GET
     * @uri /bots
     * @example seologs.bot.list();
     *
     * @returns {Promise}
     */
    list() {
        return this.query({
            uri: '/bots',
        });
    }
}

module.exports = Bot;